monoSmu {lumi} | R Documentation

## Monotonic smooth method

### Description

Fit the monotonic-constraint spline curve

### Usage

    monoSmu(x, y, newX = NULL, nSupport = min(200, length(x)), nKnots = 6, rotate = FALSE, ifPlot = FALSE, xlab = 'x', ylab = 'y', ...)

### Arguments

`x` | a vector represents x values
`y` | a vector represents y values
`newX` | the new values to be transformed. If not provided, "x" will be used.
`nSupport` | downsampled data points
`nKnots` | parameter used by `monoSpline`
`rotate` | determine whether to rotate the axis with 45 degrees in clockwise, i.e., fit the curve in the MA-plot.
`ifPlot` | determine whether to plot intermediate results
`xlab` | the xlab of the plot
`ylab` | the ylab of the plot
`...` | parameters used by `supsmu` and `plot`

### Details

function called by lumiN.rsn. The function first fits a monotonic spline between vector x and y, then transforms the vector newX based on the fitted spline. (After transformation the fitted spline is supposed to be a diagonal line, i.e., x=y)

### Value

Return the transformed "newX" based on the smoothed curve

### Author(s)

Simon Lin, Pan Du

### References

Lin, S.M., Du, P., Kibbe, W.A., (2008) 'Model-based Variance-stabilizing Transformation for Illumina Microarray Data', Nucleic Acids Res. 36, e11

### See Also

`monoSpline`

[Package lumi version 1.10.2 Index]